package com.sysdeo.eclipse.tomcat;

/*
 * (c) Copyright Sysdeo SA 2001, 2002.
 * All Rights Reserved.
 */

import java.io.File;

import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.Path;


/**
 * See %TOMCAT4_HOME%/bin/catalina.bat
 */	
public class Tomcat41Bootstrap extends Tomcat4Bootstrap {
		

	/*
	 * @see TomcatBootstrap#getVmArgs()
	 */
	public String[] getVmArgs() {
		String[] vmArgs = new String[2];
		vmArgs[0] = "-Dcatalina.home=" + getTomcatDir();
				
		String binDir = getTomcatDir() + File.separator + "bin";
		String commonEndorsedDir = getTomcatDir() + File.separator + "common" + File.separator + "endorsed";
		vmArgs[1] = "-Djava.endorsed.dirs=" + binDir + ";" + commonEndorsedDir;
				
		return vmArgs;
	}

	
	public IPath getJasperJarPath() {	
		return new Path("common").append("lib").append("jasper-runtime.jar");
	}
	
	
	/**
	 * @see TomcatBootstrap#getLabel()
	 */
	public String getLabel() {
		return "Tomcat 4.1.x";
	}
}

