package com.sysdeo.eclipse.tomcat;

/*
 * (c) Copyright Sysdeo SA 2001, 2002.
 * All Rights Reserved.
 */

import java.io.File;

import org.eclipse.core.runtime.IPath;
import org.eclipse.core.runtime.Path;


/**
 * See %TOMCAT5_HOME%/bin/catalina.bat
 */	
public class Tomcat5Bootstrap extends Tomcat4Bootstrap {
		

	/*
	 * @see TomcatBootstrap#getVmArgs()
	 */
	public String[] getVmArgs() {
		String[] vmArgs = new String[2];
		vmArgs[0] = "-Dcatalina.home=" + getTomcatDir();
				
		String binDir = getTomcatDir() + File.separator + "bin";
		String commonEndorsedDir = getTomcatDir() + File.separator + "common" + File.separator + "endorsed";
		vmArgs[1] = "-Djava.endorsed.dirs=" + commonEndorsedDir;
				
		return vmArgs;
	}

	
	public IPath getJasperJarPath() {	
		return new Path("common").append("lib").append("jasper-runtime.jar");
	}

	public IPath getServletJarPath() {	
		return new Path("common").append("lib").append("servlet-api.jar");
	}	

	public IPath getJSPJarPath() {
		return new Path("common").append("lib").append("jsp-api.jar");
	}
		
	/**
	 * @see TomcatBootstrap#getLabel()
	 */
	public String getLabel() {
		return "Tomcat 5.x";
	}



}

